Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class ResourceRequestImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
          org.jboss.portal.portlet.impl.jsr168.api.ClientDataRequestImpl
              org.jboss.portal.portlet.impl.jsr168.api.ResourceRequestImpl

All Implemented Interfaces:
  javax.portlet.ClientDataRequest, PortletRequest, javax.portlet.ResourceRequest

    public class ResourceRequestImpl

extends ClientDataRequestImpl
implements javax.portlet.ResourceRequest

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.ClientDataRequestImpl
`requestContext`

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
`attributes, clientContext, container, invocation, log, navigationInfo, portalContext, preferences, psession, requestParameterMap, securityContext, serverContext, sessionStatus, supportedModes, supportedWindowStates, userContext, windowContext`

Fields inherited from interface javax.portlet.ResourceRequest
`ETAG`

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`ResourceRequestImpl(PortletContainerImpl container, ResourceInvocation invocation)`

Method Summary
`java.lang.String` | `getCacheability()`
`java.lang.String` | `getETag()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPrivateRenderParameterMap()`
`java.lang.String` | `getResourceID()`
`protected void` | `initProperties(org.jboss.portal.common.util.MultiValuedPropertyMap<java.lang.String> properties)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.ClientDataRequestImpl
`getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletRequestImpl
`getAttribute, getAttributeNames, getAttributes, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRealRequest, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.ResourceRequest
`getResponseContentType, getResponseContentTypes`

Methods inherited from interface javax.portlet.ClientDataRequest
`getCharacterEncoding, getContentLength, getContentType, getMethod, getPortletInputStream, getReader, setCharacterEncoding`

Methods inherited from interface javax.portlet.PortletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### ResourceRequestImpl

    public ResourceRequestImpl(PortletContainerImpl container,
                               ResourceInvocation invocation)

Method Detail

### getResourceID

    public java.lang.String getResourceID()

  Specified by:
    `getResourceID` in interface `javax.portlet.ResourceRequest`

### getPrivateRenderParameterMap

    public java.util.Map<java.lang.String,java.lang.String[]> getPrivateRenderParameterMap()

  Specified by:
    `getPrivateRenderParameterMap` in interface `javax.portlet.ResourceRequest`

### getCacheability

    public java.lang.String getCacheability()

  Specified by:
    `getCacheability` in interface `javax.portlet.ResourceRequest`

### getETag

    public java.lang.String getETag()

  Specified by:
    `getETag` in interface `javax.portlet.ResourceRequest`

### initProperties

    protected void initProperties(org.jboss.portal.common.util.MultiValuedPropertyMap<java.lang.String> properties)

  Overrides:
    `initProperties` in class `PortletRequestImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.